Bug 895609 - Incorrect name of OS type and missing icons for Windows 8 and Windows 2012
Summary: Incorrect name of OS type and missing icons for Windows 8 and Windows 2012
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 3.2.0
Assignee: Roy Golan
QA Contact: Jiri Belka
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-15 16:14 UTC by Jiri Belka
Modified: 2013-06-11 09:38 UTC (History)
8 users (show)

Fixed In Version: sf9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 12469 None None None Never
oVirt gerrit 12475 None None None Never
oVirt gerrit 12493 None None None Never

Description Jiri Belka 2013-01-15 16:14:49 UTC
Description of problem:

1 - Select 'Windows 2012 x86' as OS type for a VM, when hovering with cursor over VM icon in User Portal (extended) the OS type name is shortcut instead of real OS type name as visible in VM -> Edit. Also in User Portal (basic) value of 'Operating System:' is shortcut.

2 - Windows 8 and Windows 2012 don't have own icons.

Version-Release number of selected component (if applicable):

SF3

How reproducible:

100%

Steps to Reproduce:
1. Select 'Windows 2012 x86' as OS type for a VM,
2. User Portal extended - hover over VM icon
3. User Portal basic - check Operating system value
4. See icons for specified OS types
  
Actual results:

The name is not real name but internally used shortcut.
Icons are wrong.

Expected results:

Normal OS type name (with spaces).
Nice shiny supadupa icons for these great OS types.
Additional info:

Comment 3 Michal Skrivanek 2013-02-28 06:47:04 UTC
merged u/s as
2fb108cc40afe04139143d122308f2e64c8680a4
d5b42685ec8d3fa7d7177dac676fbf4f0dd8f750
3ae2aa63b3ccabf6084384c0490f42b8291acb42

Comment 5 Jiri Belka 2013-03-05 10:19:44 UTC
ok, sf9.

Comment 6 Itamar Heim 2013-06-11 09:10:59 UTC
3.2 has been released

Comment 7 Itamar Heim 2013-06-11 09:11:04 UTC
3.2 has been released

Comment 8 Itamar Heim 2013-06-11 09:38:29 UTC
3.2 has been released


Note You need to log in before you can comment on or make changes to this bug.